Package org.pentaho.reporting.libraries.resourceloader.modules.factory.svg

## Class SVGDrawable

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.modules.factory.svg.SVGDrawable

-     public class SVGDrawable
      extends java.lang.Object

  Creation-Date: 21.12.2005, 20:25:29
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SVGDrawable​(org.apache.batik.gvt.GraphicsNode rootNode)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `draw​(java.awt.Graphics2D g, java.awt.geom.Rectangle2D area)` | Draws the object.
    `java.awt.Dimension` | `getPreferredSize()` | Returns the preferred size of the drawable.
    `boolean` | `isPreserveAspectRatio()` | Returns true, if this drawable will preserve an aspect ratio during the drawing.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SVGDrawable

          public SVGDrawable​(org.apache.batik.gvt.GraphicsNode rootNode)

  - ### Method Detail

    - #### getPreferredSize

          public java.awt.Dimension getPreferredSize()

      Returns the preferred size of the drawable. If the drawable is aspect ratio aware, these bounds should be used to compute the preferred aspect ratio for this drawable.
      Returns:
        the preferred size.

    - #### isPreserveAspectRatio

          public boolean isPreserveAspectRatio()

      Returns true, if this drawable will preserve an aspect ratio during the drawing.
      Returns:
        true, if an aspect ratio is preserved, false otherwise.

    - #### draw

          public void draw​(java.awt.Graphics2D g,
                           java.awt.geom.Rectangle2D area)

      Draws the object.
      Parameters:
        `g` - the graphics device.
        `area` - the area inside which the object should be drawn.